ldns(3)

NAME
ldns_str2period - converts a ttl value (like 5d2h) to a long

SYNOPSIS
#include <stdint.h>
#include <stdbool.h>

#include <ldns/ldns.h>

uint32_t ldns_str2period(const char *nptr, const char **endptr);

DESCRIPTION

ldns_str2period() converts a ttl value (like 5d2h) to a long. .br nptr: the start of the string .br endptr: points to the last char in case of error .br Returns the convert duration value

AUTHOR
The ldns team at NLnet Labs.

REPORTING BUGS
Please report bugs to ldns-team@nlnetlabs.nl or in our bugzilla at http://www.nlnetlabs.nl/bugs/index.html

COPYRIGHT
Copyright (c) 2004 - 2006 NLnet Labs.

Licensed under the BSD License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
perldoc Net::DNS, RFC1034, RFC1035, RFC4033, RFC4034 and RFC4035.

REMARKS
This manpage was automatically generated from the ldns source code.